local functions = {}
local circles = love.graphics.newImage("circles.png")
local squares = love.graphics.newImage("squares.png")
functions.setps = function (ps,emr,elt,plt,sv,ast,asp,ram,racc,sp)
	functions.particolors(ps,255,128,0)
	ps:setEmissionRate(emr)
	ps:setEmitterLifetime(elt)
	ps:setParticleLifetime(plt,1)
	ps:setSizeVariation(sv)
	ps:setAreaSpread(ast,asp,asp)
	ps:setRadialAcceleration(ram,racc)
	ps:setSpread(sp)
end
functions.cloneps = function (ps,h,ma,me)
	local retps
	if ps == "normal" then
		retps = love.graphics.newParticleSystem(circles,200)
		functions.setps(retps,80,-1,0,1,"none",0,0,0,0)
	else
		retps = love.graphics.newParticleSystem(squares,200)
		functions.setps(retps,50,0.4,1,0,"normal",5,120,126,10)
	end
	retps:setDirection(h.a)
	local a,b = math.rec(ma,h.a)
	local d,e = math.rec(me,h.a)
	retps:setLinearAcceleration(d,e,a,b)
	retps:start()
	retps:setPosition(math.rec(h.r,h.a))
	return retps
end
functions.particolors = function (ps,r,g,b)
	ps:setColors(r,g,b,200,r,g,b,150,r,g,b,100,r,g,b,50)
end
return functions