local fon = love.graphics.newImage("fondo.png")
local con = love.graphics.newImage("controls.png")
local turn = false
local screen={}
screen.update = function()
	screen.w = love.window.getWidth()
	screen.h = love.window.getHeight()
	screen.halfw,screen.halfh = screen.w/2, screen.h/2
	screen.commonr = math.pol(screen.halfw,screen.halfh)
	screen.fondo = utils.imagen("fill",fon,-10,-10,screen.w+20,screen.h+20)
	screen.controls = utils.imagen("fit",con,0,0,screen.w,screen.h)
end
local normalscreen = {w = 800, h = 600}
screen.full = function ()
	local w,h,flags = love.window.getMode()
	flags.fullscreen = not flags.fullscreen
	if flags.fullscreen == false then
		w = normalscreen.w
		h = normalscreen.h
	end
	flags.fullscreentype = "desktop"
	love.window.setMode(w,h,flags)
	screen.update()
end
screen.mouse = function (x,y)
	return x,y
end
screen.draw = function ()
end
return screen